// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: common/search-period.proto

package common

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchPeriod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StartDate int64 `protobuf:"varint,1,opt,name=startDate,proto3" json:"startDate,omitempty"`
	EndDate   int64 `protobuf:"varint,2,opt,name=endDate,proto3" json:"endDate,omitempty"`
}

func (x *SearchPeriod) Reset() {
	*x = SearchPeriod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_search_period_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchPeriod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchPeriod) ProtoMessage() {}

func (x *SearchPeriod) ProtoReflect() protoreflect.Message {
	mi := &file_common_search_period_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchPeriod.ProtoReflect.Descriptor instead.
func (*SearchPeriod) Descriptor() ([]byte, []int) {
	return file_common_search_period_proto_rawDescGZIP(), []int{0}
}

func (x *SearchPeriod) GetStartDate() int64 {
	if x != nil {
		return x.StartDate
	}
	return 0
}

func (x *SearchPeriod) GetEndDate() int64 {
	if x != nil {
		return x.EndDate
	}
	return 0
}

var File_common_search_period_proto protoreflect.FileDescriptor

var file_common_search_period_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d,
	0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x22, 0x46, 0x0a, 0x0c, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x50, 0x65,
	0x72, 0x69, 0x6f, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x74,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61,
	0x74, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x65, 0x6e, 0x64, 0x44, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x07, 0x65, 0x6e, 0x64, 0x44, 0x61, 0x74, 0x65, 0x42, 0x6b, 0x0a, 0x0a,
	0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x42, 0x0c, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65,
	0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63,
	0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x10,
	0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0xca, 0x02, 0x06, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_common_search_period_proto_rawDescOnce sync.Once
	file_common_search_period_proto_rawDescData = file_common_search_period_proto_rawDesc
)

func file_common_search_period_proto_rawDescGZIP() []byte {
	file_common_search_period_proto_rawDescOnce.Do(func() {
		file_common_search_period_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_search_period_proto_rawDescData)
	})
	return file_common_search_period_proto_rawDescData
}

var file_common_search_period_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_common_search_period_proto_goTypes = []interface{}{
	(*SearchPeriod)(nil), // 0: common.SearchPeriod
}
var file_common_search_period_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_common_search_period_proto_init() }
func file_common_search_period_proto_init() {
	if File_common_search_period_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_common_search_period_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchPeriod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_search_period_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_search_period_proto_goTypes,
		DependencyIndexes: file_common_search_period_proto_depIdxs,
		MessageInfos:      file_common_search_period_proto_msgTypes,
	}.Build()
	File_common_search_period_proto = out.File
	file_common_search_period_proto_rawDesc = nil
	file_common_search_period_proto_goTypes = nil
	file_common_search_period_proto_depIdxs = nil
}
